List KYC profile checks
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.prod.gnosispay.com/partner-api/v1/kyc/profiles/{kyc_profile_id}/checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://core.prod.gnosispay.com/partner-api/v1/kyc/profiles/{kyc_profile_id}/checks \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.prod.gnosispay.com/partner-api/v1/kyc/profiles/{kyc_profile_id}/checks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.prod.gnosispay.com/partner-api/v1/kyc/profiles/{kyc_profile_id}/checks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.prod.gnosispay.com/partner-api/v1/kyc/profiles/{kyc_profile_id}/checks")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.prod.gnosispay.com/partner-api/v1/kyc/profiles/{kyc_profile_id}/checks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kyc_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "basic",
"status": "pending",
"block_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"reject_labels": [
"<string>"
],
"comments": "<string>"
}
],
"pagination": {
"next_page_cursor": "<string>",
"has_next": true
}
}{
"code": 123,
"message": "<string>",
"reason": "<string>"
}KYC
List KYC profile checks
Lists the identity-verification checks associated with a KYC profile.
During onboarding, select the current basic check and retrieve it by ID
to obtain the user-completion credential required by your client.
GET
/
v1
/
kyc
/
profiles
/
{kyc_profile_id}
/
checks
List KYC profile checks
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.prod.gnosispay.com/partner-api/v1/kyc/profiles/{kyc_profile_id}/checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://core.prod.gnosispay.com/partner-api/v1/kyc/profiles/{kyc_profile_id}/checks \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.prod.gnosispay.com/partner-api/v1/kyc/profiles/{kyc_profile_id}/checks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.prod.gnosispay.com/partner-api/v1/kyc/profiles/{kyc_profile_id}/checks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.prod.gnosispay.com/partner-api/v1/kyc/profiles/{kyc_profile_id}/checks")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.prod.gnosispay.com/partner-api/v1/kyc/profiles/{kyc_profile_id}/checks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kyc_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "basic",
"status": "pending",
"block_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"reject_labels": [
"<string>"
],
"comments": "<string>"
}
],
"pagination": {
"next_page_cursor": "<string>",
"has_next": true
}
}{
"code": 123,
"message": "<string>",
"reason": "<string>"
}Path Parameters
The unique identifier of the KYC profile.
Query Parameters
The number of checks on each page (1-100).
Required range:
1 <= x <= 100The cursor of the page to return. Its value comes from pagination.next_page_cursor in the previous response.